# Exiv2::TiffMnCreator Class Reference

TIFF makernote factory for concrete TIFF makernotes. More...

`#include <makernote2.hpp>`

Collaboration diagram for Exiv2::TiffMnCreator:

[legend]
List of all members.

## Static Public Member Functions

static TiffComponent * | create (uint16_t tag, uint16_t group, const std::string &make, const byte *pData, uint32_t size, ByteOrder byteOrder)
| Create the Makernote for camera make and details from the makernote entry itself if needed. Return a pointer to the newly created TIFF component. Set tag and group of the new component to tag and group.

## Protected Member Functions

| ~TiffMnCreator ()
| Prevent destruction (needed if used as a policy class).

## Detailed Description

TIFF makernote factory for concrete TIFF makernotes.

## Member Function Documentation

TiffComponent * Exiv2::TiffMnCreator::create | ( | uint16_t | tag,
|  | uint16_t | group,
|  | const std::string & | make,
|  | const byte * | pData,
|  | uint32_t | size,
|  | ByteOrder | byteOrder
| ) | `[static]`

Create the Makernote for camera make and details from the makernote entry itself if needed. Return a pointer to the newly created TIFF component. Set tag and group of the new component to tag and group.

Note:
  Ownership for the component is transferred to the caller, who is responsible to delete the component. No smart pointer is used to indicate this transfer here in order to reduce file dependencies.

The documentation for this class was generated from the following files:

- makernote2.hpp
- makernote2.cpp